package de.oaa.xxx.user;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface UserRepository extends JpaRepository<UserEntity, UUID> {

    Optional<UserEntity> findByEmail(String email);
    Optional<UserEntity> findByName(String name);
    List<UserEntity> findByNameContainingIgnoreCase(String name);
    List<UserEntity> findByDatingAktiv(boolean datingAktiv);
}
